function y = dshuk(k,x,ex)
% k-sample down shift of  n,m matrix
%see help to rshuk
if k<0
y = ushuk(-k,x,ex);
else


if k<0
y = dshuk(-k,x,ex);
else

x=transpose(x);
y = rshuk(k,x,ex );
y=transpose(y);


      end